#ifndef __sockrpc_HXX
#include "sockrpc.hxx"
#endif

#ifndef __monitor_clnt_HXX
#define __monitor_clnt_HXX

class proxy_YoodaMonitor : public SvcClient {

  public :
  proxy_YoodaMonitor(int family=AF_INET) : proxy_SvcClient("YoodaMonitor", family) {};
  proxy_YoodaMonitor(char* n, int f) : proxy_SvcClient(n,f) {}
  void listClients(const ListVal<InfoClient>& l_in, ListVal<InfoClient>& l_out)
  {
    int numproc = 0 ;
    (*(SvcSocket*)this) << numproc << l_in << svcflush ;
    (*(SvcSocket*)this) >> l_out;
  } ;
  void killClient(int trid)
  {
    int numproc = 1 ;
    (*(SvcSocket*)this) << numproc << trid << svcflush ;
  } ;
  void killServer()
  {
    int numproc = 2 ;
    (*(SvcSocket*)this) << numproc << svcflush ;
  } ;
  char* getname()
  {
    int numproc = 3 ;
    char* result ;
    (*(SvcSocket*)this) << numproc << svcflush ;
    (*(SvcSocket*)this) >> result;
    return result ;
  } ;
} ; 



#endif
